## sphinx-hoverxref 1.3.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --extra=doc --output-file=docs/requirements.txt pyproject.toml
#
alabaster==0.7.12
    # via sphinx
astroid==2.12.12
    # via sphinx-autoapi
babel==2.10.3
    # via sphinx
certifi==2022.9.24
    # via requests
charset-normalizer==2.1.1
    # via requests
colorama==0.4.5
    # via sphinx-autobuild
docutils==0.17.1
    # via
    #   pybtex-docutils
    #   sphinx
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinxcontrib-bibtex
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via
    #   sphinx
    #   sphinx-autoapi
latexcodec==2.0.1
    # via pybtex
lazy-object-proxy==1.7.1
    # via astroid
livereload==2.6.3
    # via sphinx-autobuild
markupsafe==2.1.1
    # via jinja2
packaging==21.3
    # via sphinx
pybtex==0.24.0
    # via
    #   pybtex-docutils
    #   sphinxcontrib-bibtex
pybtex-docutils==1.0.2
    # via sphinxcontrib-bibtex
pygments==2.13.0
    # via
    #   sphinx
    #   sphinx-prompt
    #   sphinx-tabs
pyparsing==3.0.9
    # via packaging
pytz==2022.5
    # via babel
pyyaml==6.0
    # via
    #   pybtex
    #   sphinx-autoapi
requests==2.28.1
    # via sphinx
six==1.16.0
    # via
    #   latexcodec
    #   livereload
    #   pybtex
snowballstemmer==2.2.0
    # via sphinx
sphinx==4.5.0
    # via
    #   sphinx-autoapi
    #   sphinx-autobuild
    #   sphinx-hoverxref (pyproject.toml)
    #   sphinx-notfound-page
    #   sphinx-prompt
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinx-version-warning
    #   sphinxcontrib-bibtex
    #   sphinxemoji
sphinx-autoapi==2.0.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-autobuild==2021.3.14
    # via sphinx-hoverxref (pyproject.toml)
sphinx-notfound-page==0.8.3
    # via sphinx-hoverxref (pyproject.toml)
sphinx-prompt==1.5.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-rtd-theme==1.0.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-tabs==3.3.1
    # via sphinx-hoverxref (pyproject.toml)
sphinx-version-warning==1.1.2
    # via sphinx-hoverxref (pyproject.toml)
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-bibtex==2.5.0
    # via sphinx-hoverxref (pyproject.toml)
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jquery==2.0.0
    # via sphinx-hoverxref (pyproject.toml)
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
sphinxemoji==0.2.0
    # via sphinx-hoverxref (pyproject.toml)
tornado==6.2
    # via livereload
unidecode==1.3.6
    # via sphinx-autoapi
urllib3==1.26.12
    # via requests
wrapt==1.14.1
    # via astroid

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
sphinx-hoverxref (1.3.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 21 Apr 2024 19:32:30 +0500

sphinx-hoverxref (1.3.0-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #968827).

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 04 Apr 2024 00:44:05 +0500

=== debian/control ===
Source: sphinx-hoverxref
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrey Rakhmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit (>= 3.2),
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nocheck>,
 python3-sphinxcontrib.bibtex <!nocheck>,
 python3-sphinxcontrib.jquery <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-hoverxref
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-hoverxref.git
Homepage: https://github.com/readthedocs/sphinx-hoverxref
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-sphinx-hoverxref
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
Description: Sphinx extension to show tooltips with content embedded when hover a reference
 sphinx-hoverxref is a Sphinx extension to show a floating window (tooltips or
 modal dialogues) on the cross references of the documentation embedding the
 content of the linked section on them. With sphinx-hoverxref, you don’t need to
 click a link to see what’s in there.

## sphinx-hoverxref 1.4.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --extra=doc --output-file=docs/requirements.txt pyproject.toml
#
alabaster==0.7.16
    # via sphinx
anyascii==0.3.2
    # via sphinx-autoapi
anyio==4.3.0
    # via starlette
astroid==3.1.0
    # via sphinx-autoapi
babel==2.14.0
    # via sphinx
certifi==2024.2.2
    # via requests
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via uvicorn
colorama==0.4.6
    # via sphinx-autobuild
docutils==0.20.1
    # via
    #   pybtex-docutils
    #   sphinx
    #   sphinx-prompt
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinxcontrib-bibtex
exceptiongroup==1.2.0
    # via anyio
h11==0.14.0
    # via uvicorn
idna==3.7
    # via
    #   anyio
    #   requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.3
    # via
    #   sphinx
    #   sphinx-autoapi
latexcodec==3.0.0
    # via pybtex
markupsafe==2.1.5
    # via jinja2
packaging==24.0
    # via sphinx
pybtex==0.24.0
    # via
    #   pybtex-docutils
    #   sphinxcontrib-bibtex
pybtex-docutils==1.0.3
    # via sphinxcontrib-bibtex
pygments==2.17.2
    # via
    #   sphinx
    #   sphinx-prompt
    #   sphinx-tabs
pyyaml==6.0.1
    # via
    #   pybtex
    #   sphinx-autoapi
requests==2.31.0
    # via sphinx
six==1.16.0
    # via pybtex
sniffio==1.3.1
    # via anyio
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.2.6
    # via
    #   sphinx-autoapi
    #   sphinx-autobuild
    #   sphinx-hoverxref (pyproject.toml)
    #   sphinx-notfound-page
    #   sphinx-prompt
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinx-version-warning
    #   sphinxcontrib-bibtex
    #   sphinxcontrib-jquery
    #   sphinxemoji
sphinx-autoapi==3.0.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-autobuild==2024.4.13
    # via sphinx-hoverxref (pyproject.toml)
sphinx-notfound-page==1.0.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-prompt==1.8.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-rtd-theme==2.0.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-tabs==3.4.5
    # via sphinx-hoverxref (pyproject.toml)
sphinx-version-warning==1.1.2
    # via sphinx-hoverxref (pyproject.toml)
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-bibtex==2.6.2
    # via sphinx-hoverxref (pyproject.toml)
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jquery==4.1
    # via
    #   sphinx-hoverxref (pyproject.toml)
    #   sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxemoji==0.3.1
    # via sphinx-hoverxref (pyproject.toml)
starlette==0.37.2
    # via sphinx-autobuild
typing-extensions==4.11.0
    # via
    #   anyio
    #   astroid
    #   uvicorn
urllib3==2.2.1
    # via requests
uvicorn==0.29.0
    # via sphinx-autobuild
websockets==12.0
    # via sphinx-autobuild

=== debian/changelog ===
sphinx-hoverxref (1.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Set the minimum version of B-D: python3-sphinxcontrib.bibtex to 2.6.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 16 Jun 2024 02:23:28 +0500

## sphinx-hoverxref 1.4.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --extra=doc --output-file=docs/requirements.txt pyproject.toml
#
alabaster==0.7.16
    # via sphinx
anyio==4.4.0
    # via
    #   starlette
    #   watchfiles
astroid==3.3.2
    # via sphinx-autoapi
babel==2.16.0
    # via sphinx
certifi==2024.8.30
    # via requests
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via uvicorn
colorama==0.4.6
    # via sphinx-autobuild
docutils==0.20.1
    # via
    #   pybtex-docutils
    #   sphinx
    #   sphinx-prompt
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinxcontrib-bibtex
exceptiongroup==1.2.2
    # via anyio
h11==0.14.0
    # via uvicorn
idna==3.8
    # via
    #   anyio
    #   requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via
    #   sphinx
    #   sphinx-autoapi
latexcodec==3.0.0
    # via pybtex
markupsafe==2.1.5
    # via jinja2
packaging==24.1
    # via sphinx
pybtex==0.24.0
    # via
    #   pybtex-docutils
    #   sphinxcontrib-bibtex
pybtex-docutils==1.0.3
    # via sphinxcontrib-bibtex
pygments==2.18.0
    # via
    #   sphinx
    #   sphinx-prompt
    #   sphinx-tabs
pyyaml==6.0.2
    # via
    #   pybtex
    #   sphinx-autoapi
requests==2.32.3
    # via sphinx
six==1.16.0
    # via pybtex
sniffio==1.3.1
    # via anyio
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.4.7
    # via
    #   sphinx-autoapi
    #   sphinx-autobuild
    #   sphinx-hoverxref (pyproject.toml)
    #   sphinx-notfound-page
    #   sphinx-prompt
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinx-version-warning
    #   sphinxcontrib-bibtex
    #   sphinxcontrib-jquery
    #   sphinxemoji
sphinx-autoapi==3.3.1
    # via sphinx-hoverxref (pyproject.toml)
sphinx-autobuild==2024.9.3
    # via sphinx-hoverxref (pyproject.toml)
sphinx-notfound-page==1.0.4
    # via sphinx-hoverxref (pyproject.toml)
sphinx-prompt==1.8.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-rtd-theme==2.0.0
    # via sphinx-hoverxref (pyproject.toml)
sphinx-tabs==3.4.5
    # via sphinx-hoverxref (pyproject.toml)
sphinx-version-warning==1.1.2
    # via sphinx-hoverxref (pyproject.toml)
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-bibtex==2.6.2
    # via sphinx-hoverxref (pyproject.toml)
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via
    #   sphinx-hoverxref (pyproject.toml)
    #   sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxemoji==0.3.1
    # via sphinx-hoverxref (pyproject.toml)
starlette==0.38.5
    # via sphinx-autobuild
tomli==2.0.1
    # via sphinx
typing-extensions==4.12.2
    # via
    #   anyio
    #   astroid
    #   uvicorn
urllib3==2.2.2
    # via requests
uvicorn==0.30.6
    # via sphinx-autobuild
watchfiles==0.24.0
    # via sphinx-autobuild
websockets==13.0.1
    # via sphinx-autobuild

=== debian/changelog ===
sphinx-hoverxref (1.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 06 Oct 2024 14:53:56 +0500

## sphinx-hoverxref 1.4.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild -E -b html --ignore "autoapi/*" --ignore "*#*" --watch "../hoverxref" $(SPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/html

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,25 +4,27 @@
 #
 #    pip-compile --extra=doc --output-file=docs/requirements.txt pyproject.toml
 #
-alabaster==0.7.16
+alabaster==1.0.0
     # via sphinx
-anyio==4.4.0
+anyio==4.6.2.post1
     # via
     #   starlette
     #   watchfiles
-astroid==3.3.2
+astroid==3.3.5
     # via sphinx-autoapi
 babel==2.16.0
     # via sphinx
 certifi==2024.8.30
-    # via requests
-charset-normalizer==3.3.2
+    # via
+    #   requests
+    #   sphinx-prompt
+charset-normalizer==3.4.0
     # via requests
 click==8.1.7
     # via uvicorn
 colorama==0.4.6
     # via sphinx-autobuild
-docutils==0.20.1
+docutils==0.21.2
     # via
     #   pybtex-docutils
     #   sphinx
@@ -34,10 +36,11 @@
     # via anyio
 h11==0.14.0
     # via uvicorn
-idna==3.8
+idna==3.10
     # via
     #   anyio
     #   requests
+    #   sphinx-prompt
 imagesize==1.4.1
     # via sphinx
 jinja2==3.1.4
@@ -46,9 +49,9 @@
     #   sphinx-autoapi
 latexcodec==3.0.0
     # via pybtex
-markupsafe==2.1.5
+markupsafe==3.0.2
     # via jinja2
-packaging==24.1
+packaging==24.2
     # via sphinx
 pybtex==0.24.0
     # via
@@ -73,7 +76,7 @@
     # via anyio
 snowballstemmer==2.2.0
     # via sphinx
-sphinx==7.4.7
+sphinx==8.1.3
     # via
     #   sphinx-autoapi
     #   sphinx-autobuild
@@ -86,23 +89,23 @@
     #   sphinxcontrib-bibtex
     #   sphinxcontrib-jquery
     #   sphinxemoji
-sphinx-autoapi==3.3.1
+sphinx-autoapi==3.3.3
     # via sphinx-hoverxref (pyproject.toml)
-sphinx-autobuild==2024.9.3
+sphinx-autobuild==2024.10.3
     # via sphinx-hoverxref (pyproject.toml)
 sphinx-notfound-page==1.0.4
     # via sphinx-hoverxref (pyproject.toml)
-sphinx-prompt==1.8.0
+sphinx-prompt==1.9.0
     # via sphinx-hoverxref (pyproject.toml)
-sphinx-rtd-theme==2.0.0
+sphinx-rtd-theme==3.0.2
     # via sphinx-hoverxref (pyproject.toml)
-sphinx-tabs==3.4.5
+sphinx-tabs==3.4.7
     # via sphinx-hoverxref (pyproject.toml)
 sphinx-version-warning==1.1.2
     # via sphinx-hoverxref (pyproject.toml)
 sphinxcontrib-applehelp==2.0.0
     # via sphinx
-sphinxcontrib-bibtex==2.6.2
+sphinxcontrib-bibtex==2.6.3
     # via sphinx-hoverxref (pyproject.toml)
 sphinxcontrib-devhelp==2.0.0
     # via sphinx
@@ -120,20 +123,22 @@
     # via sphinx
 sphinxemoji==0.3.1
     # via sphinx-hoverxref (pyproject.toml)
-starlette==0.38.5
+starlette==0.41.2
     # via sphinx-autobuild
-tomli==2.0.1
+tomli==2.1.0
     # via sphinx
 typing-extensions==4.12.2
     # via
     #   anyio
     #   astroid
     #   uvicorn
-urllib3==2.2.2
-    # via requests
-uvicorn==0.30.6
+urllib3==2.2.3
+    # via
+    #   requests
+    #   sphinx-prompt
+uvicorn==0.32.0
     # via sphinx-autobuild
 watchfiles==0.24.0
     # via sphinx-autobuild
-websockets==13.0.1
+websockets==14.1
     # via sphinx-autobuild

=== debian/changelog ===
sphinx-hoverxref (1.4.2-1~cloud0) noble-epoxy; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 18 Mar 2025 22:43:20 +0000

sphinx-hoverxref (1.4.2-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 30 Nov 2024 17:37:21 +0500

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-hoverxref
# intersphinx tests require network access
export PYBUILD_TEST_ARGS= \
        -k 'not test_intersphinx_'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
https://github.com/readthedocs/sphinx-hoverxref/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
